stages:
 - build
 - run

docker-build:
  image: docker:latest
  stage: build
  services:
    - docker:dind
  before_script:
    - echo $CI_BUILD_TOKEN | docker login -u "$CI_REGISTRY_USER" --password-stdin $CI_REGISTRY
  script:
    - docker build --pull -t "$CI_REGISTRY_IMAGE" .
    - docker push "$CI_REGISTRY_IMAGE"
run_test:
  image: docker:latest
  stage: run
  services:
    - docker:dind
  script:
    - echo $CI_BUILD_TOKEN | docker login -u "$CI_REGISTRY_USER" --password-stdin $CI_REGISTRY_IMAGE
    - docker pull "$CI_REGISTRY_IMAGE"
    - docker run "$CI_REGISTRY_IMAGE"